
QGIS Application - Bug report #20943

QGIS crash report from Metadata Editor in QGIS Layer Properties

2019-01-08 01:55 PM - Heather  Hillers

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28762

Description

User Feedback

I was working in the Metadata Editor in the layer property widget for a vector layer.  I wanted to remove a constraint.  I hit the minus button

on the constraints table, but I had not yet selected any item in the constraint table.  I then clicked on an item in the constraint list directly

after hitting the button.  I do not know if the freeze happened when I hit the minus button or if I clicked on the list.  I think it was when I

clicked the minus button.  Then I tried to close the layer property widget while it was frozen and QGIS crashed at that point.

Report Details

Crash ID: e194da6ca46cab43b69a5ae77bd9ebf3720b601c

Stack Trace

QSize::width :

QMetaObject::activate :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: commit:2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Associated revisions

Revision 3bc06e2b - 2019-01-14 04:14 AM - Nyall Dawson

Fix crash in metadata widget when remove is clicked and no items exist

Fixes #20943

Revision 3b233442 - 2019-01-15 05:47 AM - Nyall Dawson
Fix crash in metadata widget when remove is clicked and no items exist

Fixes #20943

(cherry picked from commit 3bc06e2bb9b5037a341503355d099638eb130561)

History

#1 - 2019-01-08 01:57 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2019-01-08 02:00 PM - Heather  Hillers

Was able to reproduce the crash by starting qgis, opening the project, opening the layer properties on the vector, going to the Metadata access tab, adding

three default constraints, and hitting the minus button on the constraints table without selecting an item.

#3 - 2019-01-14 01:39 AM - Nyall Dawson

- Status changed from Open to In Progress

#4 - 2019-01-14 04:13 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|3bc06e2bb9b5037a341503355d099638eb130561.
